Summary:	commons-validator - framework to define validators
Summary(pl.UTF-8):	commons-validator - szkielet do definiowania metod kontrolujących poprawność
Name:		java-commons-validator
Version:	1.2.0
Release:	2
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/validator/source/commons-validator-%{version}-src.tar.gz
# Source0-md5:	984074a3707c4a366f0b08db88d41e4d
URL:		http://commons.apache.org/validator/
BuildRequires:	ant >= 1.5
BuildRequires:	java-commons-beanutils
BuildRequires:	java-commons-collections
BuildRequires:	java-commons-digester
BuildRequires:	java-commons-logging
BuildRequires:	java-oro
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java-commons-digester
Requires:	java-oro
Obsoletes:	jakarta-commons-validator
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The commons-validator package provides a simple, extendable framework
to define validators (validation methods) and validation rules in an
XML file. There is support for internationalization of validation
rules and error messages.

%description -l pl.UTF-8
Pakiet commons-validator udostępnia prosty, rozszerzalny szkielet do
definiowania "validatorów" (metod kontrolujących poprawność danych),
oraz reguł określających poprawność w pliku XML. Pakiet obsługuje
zlokalizowane reguły poprawności oraz komunikaty błędów.

%package javadoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Documentation for %{name}.

%description javadoc -l pl.UTF-8
Dokumentacja online do %{name}.

%prep
%setup -q -n commons-validator-%{version}

%build
required_jars="commons-beanutils-core commons-collections commons-digester commons-logging oro"
export CLASSPATH=$(%{_bindir}/build-classpath $required_jars)
%ant dist

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
for a in dist/*.jar; do
	jar=${a##*/}
	cp -a dist/$jar $RPM_BUILD_ROOT%{_javadir}/${jar%%.jar}-%{version}.jar
	ln -s ${jar%%.jar}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/$jar
done

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
	rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(644,root,root,755)
%doc LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%changelog
* Sun Feb 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-commons-validator.git;a=log;h=master

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 44807fe
- release 2 (by relup.sh)

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> 3398ed2
- BR: jdk
- sorted deps

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> ac2bb4c
- Libraries/Java group

* Fri Jan 23 2009 pawelz <pawelz@pld-linux.org> bf828d4
- commons is no longer part of jakarta project

* Thu Dec 25 2008 pawelz <pawelz@pld-linux.org> 047620b
- pass correct jar filename to build-classpath

* Mon Apr 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 16e2dd3
- pl desc for -javadoc

* Mon Apr 09 2007 Elan Ruusamäe <glen@pld-linux.org> 6f1b590
- unify java package, builds with java 1.5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7256ec1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1f81a1e
- converted to UTF-8

* Fri May 19 2006 Jacek Konieczny <jajcus@pld-linux.org> 6ba1f70
- s/jakarta-ant/ant/ in BR

* Mon May 15 2006 ankry <ankry@pld-linux.org> 0679e4c
- cosmetics

* Sun Nov 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 9a4389a
- updated to 1.2.0, removed obsolete files patch

* Sun Nov 27 2005 Jakub Bogusz <qboosh@pld-linux.org> c2a669f
- obsolete

* Sun May 08 2005 Jakub Bogusz <qboosh@pld-linux.org> 75ca417
- updated to 1.1.4, added files patch (missing files)
- more BRs for javadoc

* Sun May 08 2005 Jakub Bogusz <qboosh@pld-linux.org> a315c07
- necessary files missing from source distribution (taken from svn)

* Sat Apr 17 2004 saq <saq@pld-linux.org> 4b27c99
- {B,}R: jakarta-commons-digester

* Thu Jul 03 2003 Jakub Bogusz <qboosh@pld-linux.org> bc987bb
- description, pl

* Wed Jul 02 2003 pascalek <pascalek@pld-linux.org> 9f41091
- initial release

